html, body {
    height: 100vh;
}
body {
    background-color: blueviolet;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

form {
    background-color: beige;
    margin-top: -10rem;
    width: 15rem;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    border-radius: 1rem;

    label {
        display: flex;

        &.column {
            flex-direction: column;
        }

        &.row {
            flex-direction: row;
            gap: 0.2rem;
        }
    }
}